<div fxLayout="column" class="mat-elevation-z0">
    <form (ngSubmit)="confirm(f.form)" #f="ngForm" novalidate fxLayout="column">
        <div fxLayout="column" class="mat-elevation-z6 boxed-container">
            <div fxLayout="column" fxLayoutAlign="space-between center" fxFill>
                <h2 class="text-bold title center">CONTATTA L'ASSISTENZA</h2>
            </div>
            <div fxLayout="row" fxLayoutAlign="space-around center" fxFill>
                <mat-form-field>
                  <input matInput name="subject"
                         [(ngModel)]="model.subject"
                         placeholder="Oggetto"
                         required
                         errorStateMatcher>
                </mat-form-field>

                <mat-form-field style="margin-left: 50px;width: 500px;">
                  <textarea matInput name="body"
                           [(ngModel)]="model.body" matTextareaAutosize
                           required placeholder="Scrivi qui il corpo del testo...">
                  </textarea>
                </mat-form-field>
            </div>
        </div>
        <div fxLayout="column" class="boxed-container mat-elevation-z6">
            <h2 class="text-bold title center">Carica gli allegati</h2>
          <div fxLayout="row">
            <div fxLayout="column" class="attachElement mat-elevation-z2" fxFlex="10">
              <button class="blacktext" mat-button [disabled]="loading"
                      (click)="inputFileSelection(inputFile)" style="margin: auto auto 0">
                <mat-icon>attachment</mat-icon>
              </button>
              <span class="blacktext" style="margin:0 auto auto">Allega file</span>
            </div>

            <file-drop (onFileDrop)="dropped($event)" fxLayout="column" class="mat-elevation-z2 attachElement"
                       fxFlex="60">
              <div fxLayout="column">
                <mat-icon class="blacktext" style="margin: 14px auto 0">file_upload</mat-icon>
                <span class="blacktext">Trascina qui i tuoi file</span>
              </div>
            </file-drop>
            <div fxFlex class="mat-elevation-z2">
              Specifiche file
              <ul>
                <li>dimensione massima {{ maxSize | bytes : 0 }}</li>
              </ul>
            </div>
          </div>
        </div>
        <div fxLayout="column" class="mat-elevation-z6 boxed-container">
            <h2 class="text-bold title center">Invia Richiesta Assistenza</h2>
            <div fxLayout="row">
                <mat-list class="mat-elevation-z0" fxFlex *ngIf="fileInfos && fileInfos.length > 0">
                    <mat-list-item *ngFor="let item of fileInfos; let i = index" class="mat-elevation-z0">
                        <mat-icon class="attachment">attachment</mat-icon>
                        {{ item.name.length <= 60 ?  item.name : item.name.substr(0,60) + '...'}} - {{item.size | bytes : 2}} - {{item.lastModified | date : 'dd/MM/yyyy HH:mm:ss'}}
                        <span style="flex: 1 1 auto"></span>
                        <button type="button" mat-button color="warn" (click)="deleteFile(i)"
                                matTooltip="Elimina Allegato">
                            <mat-icon>delete</mat-icon>
                        </button>
                    </mat-list-item>
                </mat-list>
                <mat-list class="mat-elevation-z0" *ngIf="fileInfos && fileInfos.length === 0" fxFlex="">
                    Nessun file allegato
                </mat-list>
                <button class="sendButton" mat-raised-button color="primary" [disabled]="loading" type="submit">
                    <span class="whitetext">Invia Richiesta Assistenza</span>
                </button>
                <div class="bottom">
                    <input type="file" #inputFile placeholder="Carica File..." style="display: none"
                           (change)="dropped($event.srcElement)" multiple>
                </div>
            </div>
        </div>
    </form>
</div>
